POST api/printertypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PrinterTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| description | string |
Required |
|
| type | string |
Required String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"id": "ac502e1e-e5d2-4885-813f-9834555ca408",
"active": true,
"description": "sample string 3",
"type": "sample string 4"
}
application/xml, text/xml
Sample:
<printer_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 3</description> <id>ac502e1e-e5d2-4885-813f-9834555ca408</id> <type>sample string 4</type> </printer_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"8c93823a-d411-427d-9702-c7c59c2cba33"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">8c93823a-d411-427d-9702-c7c59c2cba33</guid>